%global commitId 999db4f79f7cf8f2bae61e0514c8371e99e5e383
%global ext_name pylibsshext
%global pypi_name ansible-pylibssh

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:          python%{?component_prefix}-%{pypi_name}
Version:       1.0.0
Release:       1%{?dist}
Summary:       Python bindings for libssh client specific to Ansible use case

License:       LGPL-2+
URL:           https://github.com/ansible/pylibssh
Source0:       pylibssh-999db4f79f7cf8f2bae61e0514c8371e99e5e383.tar.gz
BuildArch:     x86_64

BuildRequires: gcc
BuildRequires: libssh-devel
BuildRequires: python%{python3_pkgversion}-Cython
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-rpm-macros
BuildRequires: python%{python3_pkgversion}-setuptools

%description
Python bindings for libssh client specific to Ansible use case.

%package -n python%{python3_pkgversion}-%{pypi_name}

Summary:       Python bindings for libssh client specific to Ansible use case

Requires:      libssh >= 0.9.0

%description -n python%{python3_pkgversion}-%{pypi_name}
Python bindings for libssh client specific to Ansible use case.

%prep
%autosetup -n pylibssh-%{commitId}

echo %{ext_name} > top_level.txt
cat > PKG-INFO<<EOF
Metadata-Version: 2.1
Name: %{name}
Version: %{version}
Summary: Python bindings for libssh client specific to Ansible use case
Home-page: https://github.com/ansible/pylibssh
Author: Ansible, Inc.
Author-email: info+github/ansible/pylibssh@ansible.com
License: LGPLv2+
Platform: UNKNOWN
EOF

%build
export LDFLAGS="%{build_ldflags} -lssh"
%{__python3} -m Cython.Build.Cythonize --force --inplace --directive=embedsignature=True --directive=emit_code_comments=True --directive=linetrace=True  --directive=profile=True src/%{ext_name}/*.pyx

%install
install -m 0755 -vd                       %{buildroot}/%{python3_sitearch}/%{ext_name}
install -m 0644 -vp src/%{ext_name}/*.py  %{buildroot}/%{python3_sitearch}/%{ext_name}
install -m 0755 -vp src/%{ext_name}/*.so  %{buildroot}/%{python3_sitearch}/%{ext_name}
install -m 0755 -vd                       %{buildroot}/%{python3_sitearch}/ansible_pylibssh-%{version}-py%{python3_version}.egg-info
install -m 0644 -vp top_level.txt         %{buildroot}/%{python3_sitearch}/ansible_pylibssh-%{version}-py%{python3_version}.egg-info
install -m 0644 -vp PKG-INFO              %{buildroot}/%{python3_sitearch}/ansible_pylibssh-%{version}-py%{python3_version}.egg-info

%files -n python%{python3_pkgversion}-%{pypi_name}
%{python3_sitearch}/%{ext_name}
%{python3_sitearch}/ansible_pylibssh-%{version}-py%{python3_version}.egg-info
%license LICENSE.rst
%doc README.rst
%doc docs/changelog.rst

%changelog
* Wed Sep 14 2022 Dimitri Savineau <dsavinea@redhat.com> - 1.0.0-1
- ansible pylibssh 1.0.0

* Tue Nov 16 2021 Dimitri Savineau <dsavinea@redhat.com> - 0.3.0-1
- ansible pylibssh 0.3.0-1
